package com.unistrong.pogoservicelib.pogoservice.serial;

import android.util.Log;

import com.unistrong.pogoservicelib.BuildConfig;
import com.unistrong.pogoservicelib.pogoservice.devices.DeviceFactory;
import com.unistrong.pogoservicelib.pogoservice.serial.template.SerialPortImpl;
import com.unistrong.pogoservicelib.pogoservice.serial.template.SoManager;

public final class VirtualSerial extends SerialPortImpl {
    private static final String TAG = "VirtualSerial";
    private static final boolean DEBUG = BuildConfig.DEBUG;

    public VirtualSerial() {
        mPath = DeviceFactory.getInstance().getDevice().getPogoVirtualSerialPort();
    }

    public static VirtualSerial getInstance() {
        return VirtualSerial.VIRTUAL_SERIAL_HOLDER.BEAN;
    }

    private static final class VIRTUAL_SERIAL_HOLDER {
        private static final VirtualSerial BEAN = new VirtualSerial();
    }
}
