package com.unistrong.pogoservicelib.pogoservice.serial.template;

import android.util.Log;

public class SerialPort {

    private static final String TAG = "SerialPort";
    private static final boolean DEBUG = false;

    public boolean open(String path, int baudrate) {
        return SoManager.openDevice(path, baudrate, 8, 0, 1);
    }

    public void close() {
        SoManager.closeDevice();
    }


    public void sendData(byte[] data) {
        if (null != data) {
            if (DEBUG) Log.d(TAG, "send data=" + new String(data));
            SoManager.sendData(data);
        }
    }

    public int readData(byte[] buffer) {
        return SoManager.readData(buffer);
    }


}
