package com.unistrong.pogoservicelib.pogoservice.service;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Build;

public class BootListener extends BroadcastReceiver {

    @Override
    public void onReceive(Context context, Intent intent) {
        if ("android.intent.action.LOCKED_BOOT_COMPLETED".equals(intent.getAction())) {
            //Intent guardService = new Intent(context, GuardService.class);
            //startService(context, guardService);
            //Intent pogoService = new Intent(context, PogoService.class);
            //startService(context, pogoService);
        } else if (GuardService.ACTION_GUARD_SERVICE_NEED_REBOOT.equals(intent.getAction())) {
            //Intent guardService = new Intent(context, GuardService.class);
            //startService(context, guardService);
        } else if (PogoService.ACTION_SERVICE_NEED_REBOOT.equals(intent.getAction())) {
            //Intent pogoService = new Intent(context, PogoService.class);
            //startService(context, pogoService);
        }
    }

    private void startService(Context context, Intent intent) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            context.startForegroundService(intent);
        } else {
            context.startService(intent);
        }
    }
}
